curl --request GET \
--url https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"accepted_payment_methods": [
"<unknown>"
],
"is_active": true,
"provider": "<string>",
"provider_reference": "<string>",
"supports_incoming": true,
"supports_outgoing": true,
"organization_id": "<string>",
"accounting_account_id": "<string>",
"companies": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}View a money account (company)
Shows one money account linked to the current company.
curl --request GET \
--url https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/team/money-accounts/{moneyAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"accepted_payment_methods": [
"<unknown>"
],
"is_active": true,
"provider": "<string>",
"provider_reference": "<string>",
"supports_incoming": true,
"supports_outgoing": true,
"organization_id": "<string>",
"accounting_account_id": "<string>",
"companies": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}money_accounts.retrieve
Conditions
- The money account must be linked to the company.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the money account (27-character KSUID string).
Query Parameters
Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, name, type, accepted_payment_methods, is_active, provider, provider_reference, supports_incoming, supports_outgoing, organization_id, accounting_account_id, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: companies.
Response
Resource.
Identifier of the money account (27-character KSUID string).
Name of the account, unique within the organization.
Kind of account: bank or mobile_money.
Payment methods this account accepts, derived from its type (bank: bank_transfer, cheque, credit_card; mobile_money: mobile_money) and limited to the methods the organization's pricing plan allows.
Whether the account is switched on.
Mobile money provider (orange_money, mtn_momo, moov_money, wave, cinetpay, paydunya, fedapay or other). Only organization sessions see it; null for a bank account.
Free reference of the account at the provider, for mobile money accounts. Only organization sessions see it.
Whether the current company may receive payments through the account. Only returned in the company space.
Whether the current company may send payments through the account. Only returned in the company space.
Identifier of the organization the record belongs to.
Identifier of the matching account in the organization's books, created with the money account. Only organization sessions see it.
Companies linked to the account with their directions. Returned only to organization sessions and only when requested with include=companies.
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).